/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: AnonymousTaxon.java,v 584a8002bbf7 2010/07/17 13:10:42 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.taxonomy;

import it.tidalwave.util.As;
import it.tidalwave.util.Displayable;
import javax.annotation.Nonnull;
import org.openide.util.Lookup;

/***********************************************************************************************************************
 *
 * An anonymous item that is used for creating equivalency / lumping / splitting relationships.
 * {@code AnonymousTaxon}s should be placed in their own {@link Taxonomy}, which must be flat.
 *
 * @author  Fabrizio Giudici
 * @version $Id: AnonymousTaxon.java,v 584a8002bbf7 2010/07/17 13:10:42 fabrizio $
 *
 **********************************************************************************************************************/
public interface AnonymousTaxon extends Displayable, Lookup.Provider, As
  {
    @Nonnull
    public Object getSynonyms();
//    public Set<TaxonomyConcept> getSynonyms();
  }
